Page MenuHomePhabricator

Not able to save a string longer than 400 characters
Closed, ResolvedPublic

Description

Problem:
Properties of datatype string have a configurable length limit. On Wikidata this is set to 1500 characters. Recently it no longer seems possible to enter values longer than 400 characters for Properties with datatype string. This change was not intended. We need to fix this and use the configured length limit again.

Pointers:

Acceptance criteria:

  • string values use the proper configured length limit

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2020, 6:43 PM

When was this set to 700? (can anyone find any record)?
I had a look at the patches in the linked ticket and nothing seems to have removed a 700 limit.
I also had a look in the current config and also on phab and dont see anything on either https://phabricator.wikimedia.org/search/query/0hMTYTuS7gwI/#R

T198108 looks like it was to add an option to change the limit. T154660 was to increase a limit (possibly this one) to 1500 but whatever was changed there doesn't seem to have been reverted. Is there something else that restricts it to 400?

Peter_James added a comment.EditedAug 2 2020, 9:14 PM

Not sure when this was changed but https://www.wikidata.org/w/index.php?title=Q96884047&diff=1223503993&oldid=1223461969 (3 July) would now be too long. That's the most recently created item with "quotation or excerpt" but there may have been additions to existing items since then or long strings in other properties.

Message is:
"Could not save due to an error.

Must be no more than 400 characters long"

A more recent edit with more than 400 characters is https://www.wikidata.org/w/index.php?title=Q78161758&diff=1234767783&oldid=1234767538 (19 July).

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Yeah this shouldn't have changed. We need to investigate.

When was this set to 700? (can anyone find any record)?

Note the limit is not 700, but 1500. See https://codesearch.wmcloud.org/search/?q=VT%3Amonolingualtext&i=nope&files=&repos=

Addshore updated the task description. (Show Details)Aug 7 2020, 11:29 AM

Appears to be related to changes made in T257447

The order override in some settings were broken and the default would override the set value. The two settings that were broken by this bug are string-limits and pagePropertiesRdf. Patch is coming.

Shall we backport it in Friday? @Lydia_Pintscher

Change 618981 had a related patch set uploaded (by Itamar Givon; owner: Itamar Givon):
[mediawiki/extensions/Wikibase@master] Reverse WB settings merge order for 2D arrays

https://gerrit.wikimedia.org/r/618981

Change 618981 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Reverse WB settings merge order for 2D arrays

https://gerrit.wikimedia.org/r/618981

Lydia_Pintscher closed this task as Resolved.Aug 11 2020, 9:54 AM

works on beta - waiting for deployment on live site
\o/